/* Base */
@import "../base/Variables.scss", "../base/Fonts.scss", "../base/Helper", "../base/Mixins";

.bg-white{
    background: white;
}

.card__articles{
    .is-video{
        .play-button{
            display: block;
        }
        .card__articles-timeplay{
            display: inline-block;
        }
    }
    background: $white;
    font-family: "GothamRounded-Medium";
    padding: 40px 0;
    @include breakpoint (mobile){
        padding: 10px 0;
    }
    &-category{
        color: $gold-nutri;
        font-size: 10px;
        margin-bottom: 5px;
        text-transform: uppercase;
    }
    &-timeplay{
        display: inline-block;
        background-color: $older-grey-nutri;
        padding: 5px;
        font-size: 8px;
        display: none;
        color: white;
    }
    &-text{
        color: $semi-black-nutri;
        font-size: 14px;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        visibility: visible;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        margin: 0 !important;
    }
    
    &-item{
        > a {
            padding: 15px 0px;
            display: block;
            text-decoration: none;
        }
        &-figure{
            position: relative;
            .play-button{
                position: absolute;
                height: 40px;
                left: 50px;
                top: 20px;
                display: none;
            }
        }

        img{
            height: 80px;
            object-fit: cover;
        }
        a{
            @include breakpoint (mobile){
                border-bottom: solid $grey-nutri 2px;
            }
        }
    }
    &-underline{
        border: solid $grey-nutri 1px;
        display: block;
        width: 100%;
        margin: 0px 15px;
        @include breakpoint(mobile){
            border: none;
        }
        &:last-child{
            border: none;
        }
    }
    &-button{
        text-align: center;
        margin-top: 25px;
        display: none;
        // padding: 15px 150px 15px 150px;
        padding: 15px 0px;
        border-radius: 10px;
        font-family: 'GothamRounded-Medium';       
        width: 40%;
        margin: auto;
        border-color: $bluesky-nutri;
        color: $bluesky-nutri;
        &:hover{
            color: $bluesky-nutri;
        }
        @include breakpoint(mobile){
            width: 80%;
        &.color-blue{
            background: white;
            border-color: $bluesky-nutri;
            color: $bluesky-nutri;
        }
        }
    }
}

.article-container {
    position: relative;
}

.article-preloader {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: none;
    align-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, .8);
    z-index: 2;
    &.show {
        display: flex;
    }
}

.stage-side{
    .pagination{
        display: none;
    }
    .card__articles{
        &-button{
            display: block;
        }
    }
}